#ifndef __sys_wait_h__
#define __sys_wait_h__
/*============================================================================
=
=  Source(s): ISO/IEC (POSIX) 9845:1996
=
=  sys/wait.h
==============================================================================
*/
#include <sys/types.h>

#define WNOHANG   1    /* currently unsupported */
#define WUNTRACED 2    /* currently unsupported */

#define	WIFEXITED(status)	 ((status) == 0)
#define	WEXITSTATUS(status)	 (((status) & 0xff00) >> 8)

 
//the following needs to be finished/corrected but I haven't found
//any documentation about the status values in NXThreadJoin

//#define WIFSIGNALED(status)  /* Maybe not possible on NetWare? */
//#define WTERMSIG(status)     ((status) & 0x7f)
//#define	WIFSTOPPED(status)   (((status) & 0xff) == 0x7f)
//#define WSTOPSIG(status)     WEXITSTATUS(status)


#ifdef __cplusplus
extern "C"
{
#endif

pid_t wait    ( int *stat_loc );
pid_t waitpid ( pid_t pid, int *stat_loc, int options );

#ifdef __cplusplus
}
#endif

#endif /* sys/file.h  */
